> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Read the Slack connection

> Read whether Slack is connected for the project and which channel it posts to.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json get /projects/{project_id}/integrations/slack
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers:
  - url: https://api.uselemma.ai
    description: Lemma production API
security:
  - bearerAuth: []
paths:
  /projects/{project_id}/integrations/slack:
    get:
      tags:
        - Integrations / Slack
      summary: Read the Slack connection
      description: >-
        Read whether Slack is connected for the project and which channel it
        posts to.
      operationId: get_project_slack_connection
      parameters:
        - name: project_id
          in: path
          required: true
          description: Lemma project ID.
          schema:
            type: string
      responses:
        '200':
          description: Slack connection and channel
          content:
            application/json:
              schema:
                type: object
                properties:
                  available:
                    type: boolean
                  connected:
                    type: boolean
                  channel:
                    type:
                      - object
                      - 'null'
                    properties:
                      slack_team_id:
                        type: string
                      slack_channel_id:
                        type: string
                      slack_channel_name:
                        type:
                          - string
                          - 'null'
                    required:
                      - slack_team_id
                      - slack_channel_id
                      - slack_channel_name
                    additionalProperties: false
                required:
                  - available
                  - connected
                  - channel
                additionalProperties: false
        '401':
          description: Unauthenticated
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                required:
                  - detail
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                  code:
                    type: string
                  retryable:
                    type: boolean
                  retry_after_seconds:
                    type: number
                    minimum: 0
                required:
                  - detail
                  - code
                  - retryable
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.